## org.hibernate.engine
Class ResultSetMappingDefinition

    java.lang.Object
      org.hibernate.engine.ResultSetMappingDefinition

All Implemented Interfaces:
  Serializable

    public class ResultSetMappingDefinition

extends Object
implements Serializable

Keep a description of the resultset mapping

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Constructor Summary
`ResultSetMappingDefinition(String name)`

Method Summary
`void` `addQueryReturn(NativeSQLQueryReturn queryReturn)`
`String` `getName()`
`NativeSQLQueryReturn[]` `getQueryReturns()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultSetMappingDefinition

    public ResultSetMappingDefinition(String name)

Method Detail

### getName

    public String getName()

### addQueryReturn

    public void addQueryReturn(NativeSQLQueryReturn queryReturn)

### getQueryReturns

    public NativeSQLQueryReturn[] getQueryReturns()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.